# Class RasterSource


### Extends
* [Source](_source_.source.md)

## Index

### Constructors
* [constructor](_source_.rastersource.md#constructor)

### Properties
* [_map](_source_.rastersource.md#_map)
* [_source](_source_.rastersource.md#_source)
* [id](_source_.rastersource.md#id)
* [type](_source_.rastersource.md#type)

### Methods
* [addTo](_source_.rastersource.md#addto)

## Constructors

### new RasterSource(source: any, id?: string): [RasterSource](_source_.rastersource.md)
  
* Overwrites [Source](_source_.source.md).[constructor](_source_.source.md#constructor)
* Defined in Source.ts:67


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| source | any|  |
| id? | string|  |

#### Returns: [RasterSource](_source_.rastersource.md)

## Properties

### _map: any

* Inherited from [Source](_source_.source.md).[_map](_source_.source.md#_map)
* Defined in Source.ts:14


### _source: any

* Inherited from [Source](_source_.source.md).[_source](_source_.source.md#_source)
* Defined in Source.ts:13


### id: string

* Inherited from [Source](_source_.source.md).[id](_source_.source.md#id)
* Defined in Source.ts:11


### type: string

* Inherited from [Source](_source_.source.md).[type](_source_.source.md#type)
* Defined in Source.ts:12


## Methods

### addTo(map: [Map](_map_.map.md)): [Source](_source_.source.md)
  
* Inherited from [Source](_source_.source.md).[addTo](_source_.source.md#addto)
* Defined in Source.ts:43


#### Parameters

| Name | Type | Description |
| ---- | ---- | ---- |
| map | [Map](_map_.map.md)|  |

#### Returns: [Source](_source_.source.md)


Generated using [TypeDoc](http://typedoc.io)
